## ethstats 1.1.1

=== Makefile ===
#!/usr/bin/make -f

SCRIPT=		ethstats
SRC=		ethstats.pl
MAN1=		${SCRIPT}.1
MAN1GZ=		${MAN1}.gz
TEST_SCRIPT?=	${SCRIPT}

GZIP?=		gzip -cn
INSTALL?=	install
COPY?=		-c
MKDIR?=		mkdir -p
PERL?=		perl
RM?=		rm -f

LOCALBASE?=	/usr/local
PREFIX?=	${LOCALBASE}
BINDIR?=	${PREFIX}/bin
MANDIR?=	${PREFIX}/share/man/man

BINOWN?=	root
BINGRP?=	root
BINMODE?=	755

SHAREOWN?=	root
SHAREGRP?=	root
SHAREMODE?=	644

INSTALL_DATA?=		${INSTALL} ${COPY} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE}
INSTALL_EXEC?=		${INSTALL} ${COPY} -m ${BINMODE}
INSTALL_SCRIPT?=	${INSTALL} ${COPY} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}

all:		${SCRIPT} ${MAN1GZ}

clean:
		${RM} ${SCRIPT} ${MAN1GZ}

install:	all
		${MKDIR} ${DESTDIR}${BINDIR}
		${INSTALL_SCRIPT} ${SCRIPT} ${DESTDIR}${BINDIR}/
		${MKDIR} ${DESTDIR}${MANDIR}1
		${INSTALL_SCRIPT} ${MAN1GZ} ${DESTDIR}${MANDIR}1/

test:		all
		@echo "=== Perl syntax check"
		${PERL} -c ${TEST_SCRIPT}

		@echo "=== Basic version/usage functionality"
		${PERL} ${TEST_SCRIPT} -V -h
		@echo

		@echo "=== Error out on invalid options"
		! ${PERL} ${TEST_SCRIPT} -X
		@echo

		@if [ -r "/proc/net/dev" ]; then \
			echo "=== A single run"; \
			${PERL} ${TEST_SCRIPT} -n3 -c2; \
		else \
			echo "=== Skipping the single run"; \
		fi
		@echo

test-p6:
		${MAKE} TEST_SCRIPT=ethstats.p6 PERL=perl6 test

${SCRIPT}:	${SRC}
		${INSTALL_EXEC} ${SRC} ${SCRIPT}

${MAN1GZ}:	${MAN1}
		${GZIP} ${MAN1} > ${MAN1GZ} || (${RM} ${MAN1GZ}; false)

.PHONY:		all clean install test

## ethstats 1.0

=== debian/changelog ===
ethstats (1.0-5) unstable; urgency=low

  * Switch to Git and point the Vcs-* fields to Gitorious.
  * Bump Standards-Version to 3.9.1 with no changes.
  * Switch to bzip2 compression for the Debian tarball.
  * Bump the debhelper compatibility level to 8 with no changes.
  * Update the copyright file to the latest DEP 5 candidate format and
    bump the year on my copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 01 Mar 2011 14:01:47 +0200

ethstats (1.0-4) unstable; urgency=low

  * Add a couple of patches:
    - use Getopt::Std
    - add the -n period option to configure the polling interval
    - add the -i iface option to only watch a single interface
  * Convert to the 3.0 (quilt) source format.
  * Bump Standards-Version to 3.9.0 with no changes.
  * Convert the copyright file to the DEP 5 format and bump the year of
    my copyright notice.
  * Add the Vcs-Svn and Vcs-Browser source control fields.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 28 Jun 2010 17:59:38 +0300

ethstats (1.0-3) unstable; urgency=low

  * New maintainer.  Closes: #519342
  * Keep everything in the debian/ directory:
    - remove the ethstats copy of ethstats.pl and regenerate it in
      the "build" target
    - move the ethstats.sgml manual page into debian/
    - remove the manual page in the "clean" target
  * Add a watch file.
  * Use debian/compat to specify the debhelper compatibility level.
  * Clean up the rules file:
    - remove lots of useless commented-out stuff
    - remove the useless and empty configure target
    - remove the nostrip and noopt handling - it's a Perl script!
    - remove lots of useless debhelper tool invocations
    - move many debhelper tool invocations from the binary target to
      the install target, where the dh utility would place them
    - this is an arch-independent package, so use binary-indep, not
      binary-arch!
  * Move docbook-to-man to B-D-I from B-D.
  * Remove the dot at the end of the package synopsis.
  * Depend on "perl", not "perl5".
  * Bump the debhelper compatibility level to 7:
    - add misc:Depends to the binary package
    - minimize the rules file
  * Bump Standards-Version to 3.8.1 with no changes.
  * Convert the copyright file to the machine-parseable format and
    add my copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 09 May 2009 16:43:44 +0300

ethstats (1.0-2) unstable; urgency=low

  * Wrote a manpage for ethstats.
  * Renamed binary to 'ethstats' instead of 'ethstats.pl' mostly
    because of what dh_installman says.
  * Jeez, did I forget to upload this yet?! (Dec 19th, 2002)

 -- Scott M. Dier <sdier@debian.org>  Thu,  4 Jul 2002 21:45:16 -0500

ethstats (1.0-1) unstable; urgency=low

  * Initial Release. Closes: #143841

 -- Scott M. Dier <sdier@debian.org>  Sun, 21 Apr 2002 00:54:38 -0500

=== debian/control ===
Source: ethstats
Section: net
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>> 8)
Build-Depends-Indep: docbook-to-man
Standards-Version: 3.9.1
Vcs-Git: git://gitorious.org/ethstats/pkg-debian.git
Vcs-Browser: http://gitorious.org/ethstats/pkg-debian

Package: ethstats
Architecture: all
Depends: perl, ${misc:Depends}
Description: script that quickly measures network device throughput
 ethstats works by parsing the /proc/net/dev file that the Linux kernel 
 maintains, and thus utilizes a negligible amount of CPU time. ethstats
 shows the throughput of each device in both megabits per second and
 packets per second.

=== debian/rules ===
#!/usr/bin/make -f
# debhelper rules for ethstats, the network throughput measurement tool

override_dh_auto_build:
	cp ethstats.pl ethstats
	/usr/bin/docbook-to-man debian/ethstats.sgml > ethstats.1

%:
	dh $@

=== debian/watch ===
version=3
opts=passive \
ftp://ftp.dtype.org/pub/ethstats/ethstats-([\d.]+)\.tar\.gz

## ethstats 1.1.1

=== debian/changelog ===
ethstats (1.1.1-3) unstable; urgency=medium

  * Use substitution variables in the watch file.
  * Bump the year on my debian/* copyright notice.
  * Declare compliance with Debian Policy 4.1.3 with no changes.
  * Bump the debhelper compatibility version to 11 with no changes.
  * Add "Rules-Requires-Root: no" to the source control stanza and
    override the upstream Makefile's install(1) invocations.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 04 Jan 2018 18:08:35 +0200

ethstats (1.1.1-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8 with no changes.
  * Bump the year on my debian/* copyright notice.
  * Use the HTTPS scheme for various upstream and Debian URLs.
  * Add an autopkgtest running the "test" Makefile target.
  * Update the watch file to format version 4 and catch up with
    the download URL change on the upstream site.
  * Bump the debhelper compatibility level to 10 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 08 Nov 2016 17:57:35 +0200

ethstats (1.1.1-1) unstable; urgency=medium

  * New upstream release:
    - fix the bytes-out/packets-out mishandling.  Closes: #809182

 -- Peter Pentchev <roam@ringlet.net>  Mon, 28 Dec 2015 15:21:43 +0200

ethstats (1.1.0-1) unstable; urgency=medium

  * Remove the obsolete DM-Upload-Allowed source control field.
  * Switch the Vcs-* tags to my GitLab full-source repository.
  * Bump the debhelper compatibility level to 9 with no changes.
  * Declare compliance with Debian Policy 3.9.6 with no changes.
  * Use perl:Depends for the binary package.
  * Update the copyright file:
    - convert it to version 1.0 of the copyright-format spec
    - merge the PD paragraphs and explicitly place my changes into
      the public domain, too
    - bump the year on my debian/* copyright notice
  * Use the dpkg-dev default for the Debian tarball's compression.
  * Note that I'm adopting the ethstats tool's upstream maintenance:
    - add the Homepage source control field
    - update the watch file
    - add the upstream PGP signing key
    - add an upstream metadata file
    - update the upstream location in the copyright file
  * Add Multi-Arch: foreign to the binary package.
  * New upstream release from devel.ringlet.net:
    - drop the 01-getopt and 02-interface patches, applied upstream
    - use the upstream build system and add a build dependency on perl
      for the test suite
    - use the upstream mandoc manual page and drop the build dependency
      on docbook-to-man

 -- Peter Pentchev <roam@ringlet.net>  Fri, 11 Dec 2015 19:54:07 +0200

=== debian/control ===
Source: ethstats
Section: net
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>> 11~)
Build-Depends-Indep: perl
Standards-Version: 4.1.3
Homepage: https://devel.ringlet.net/net/ethstats/
Vcs-Git: https://gitlab.com/ethstats/ethstats.git -b debian
Vcs-Browser: https://gitlab.com/ethstats/ethstats/tree/debian
Rules-Requires-Root: no

Package: ethstats
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Description: script that quickly measures network device throughput
 ethstats works by parsing the /proc/net/dev file that the Linux kernel
 maintains, and thus utilizes a negligible amount of CPU time. ethstats
 shows the throughput of each device in both megabits per second and
 packets per second.

=== debian/rules ===
#!/usr/bin/make -f
# debhelper rules for ethstats, the network throughput measurement tool

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr INSTALL_SCRIPT='install -m 755'

%:
	dh $@

=== debian/tests/control ===
Test-Command: env TEST_SCRIPT='/usr/bin/ethstats' make test
Depends: @, make
Restrictions: allow-stderr

## ethstats 1.2.1

=== Makefile ===
#!/usr/bin/make -f

SCRIPT=		ethstats
SRC=		ethstats.pl
MAN1=		${SCRIPT}.1
MAN1GZ=		${MAN1}.gz
TEST_SCRIPT?=	./${SCRIPT}

GZIP?=		gzip -cn
INSTALL?=	install
COPY?=		-c
MKDIR?=		mkdir -p
PERL?=		perl
RM?=		rm -f

LOCALBASE?=	/usr/local
PREFIX?=	${LOCALBASE}
BINDIR?=	${PREFIX}/bin
MANDIR?=	${PREFIX}/share/man/man

BINOWN?=	root
BINGRP?=	root
BINMODE?=	755

SHAREOWN?=	root
SHAREGRP?=	root
SHAREMODE?=	644

INSTALL_DATA?=		${INSTALL} ${COPY} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE}
INSTALL_EXEC?=		${INSTALL} ${COPY} -m ${BINMODE}
INSTALL_SCRIPT?=	${INSTALL} ${COPY} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}

all:		${SCRIPT} ${MAN1GZ}

clean:
		${RM} -- '${SCRIPT}' '${MAN1GZ}'

install:	all
		${MKDIR} -- '${DESTDIR}${BINDIR}'
		${INSTALL_SCRIPT} -- '${SCRIPT}' '${DESTDIR}${BINDIR}/'
		${MKDIR} -- '${DESTDIR}${MANDIR}1'
		${INSTALL_SCRIPT} -- '${MAN1GZ}' '${DESTDIR}${MANDIR}1/'

test:		all
		@echo '=== Perl syntax check'
		'${PERL}' -c '${TEST_SCRIPT}'

		@echo '=== Basic version/usage functionality'
		'${TEST_SCRIPT}' -V -h
		@echo

		@echo '=== Long options for version and usage'
		'${TEST_SCRIPT}' --version
		'${TEST_SCRIPT}' --help

		@echo '=== The features long option'
		'${TEST_SCRIPT}' --features
		'${TEST_SCRIPT}' --features | fgrep -qe ' ethstats='
		if feature-check feature-check feature-check 2>/dev/null; then \
			echo '=== Feature checks'; \
			feature-check -l -- '${TEST_SCRIPT}'; \
			feature-check -- '${TEST_SCRIPT}' ethstats; \
			feature-check -- '${TEST_SCRIPT}' ethstats ge 1; \
			feature-check -- '${TEST_SCRIPT}' 'ethstats lt 1000'; \
		else \
			echo '=== Skipping the feature checks - the feature-check tool does not seem to be installed'; \
		fi

		@echo '=== Error out on invalid options'
		! '${TEST_SCRIPT}' -X
		! '${TEST_SCRIPT}' --whee
		@echo

		@if [ -r '/proc/net/dev' ]; then \
			echo '=== A single run'; \
			'${TEST_SCRIPT}' -n3 -c2; \
		else \
			echo '=== Skipping the single run'; \
		fi
		@echo

test-p6:
		${MAKE} TEST_SCRIPT=./ethstats.p6 PERL=perl6 test

${SCRIPT}:	${SRC}
		${INSTALL_EXEC} -- '${SRC}' '${SCRIPT}'

${MAN1GZ}:	${MAN1}
		${GZIP} -- '${MAN1}' > '${MAN1GZ}' || (${RM} -- '${MAN1GZ}'; false)

.PHONY:		all clean install test

=== debian/changelog ===
ethstats (1.2.1-7) unstable; urgency=medium

  * Add a superficial `debputy reformat` autopkgtest.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied R-R-R: no.
  * Declare Standards-Version 4.7.3, drop the implied Priority: optional.
  * Drop the years from my debian/* copyright notice, ethstats is in
    the public domain anyway.
  * Convert the watch file to version 5 of the format.

 -- Peter Pentchev <roam@debian.org>  Wed, 07 Jan 2026 01:29:01 +0200

ethstats (1.2.1-6) unstable; urgency=medium

  * Fix FTBFS with debhelper 13.17 and later: we override dh_auto_install,
    so it is on us to pass --destdir now.
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Aug 2024 14:13:15 +0300

ethstats (1.2.1-5) unstable; urgency=medium

  * Explicitly declare dh-sequence-single-binary.
  * Declare compliance with Policy 4.7.0 with no changes.
  * Add the years 2021 and 2024 to my debian/* copyright notice.
  * Use debhelper compat level 14:
    - use X-DH-Compat
    - let debhelper take care of some default dependencies
  * Mark the feature-check autopkgtest as superficial.

 -- Peter Pentchev <roam@debian.org>  Fri, 02 Aug 2024 12:17:00 +0300

ethstats (1.2.1-4) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Drop the adequate autopkgtest.
  * Drop the Name and Contact upstream metadata fields.
  * Fix the upstream contact information in the copyright file:
    I adopted ethstats quite some time ago.
  * Bump the debhelper compat level to 13 with no changes.

 -- Peter Pentchev <roam@debian.org>  Sun, 10 May 2020 00:27:52 +0300

ethstats (1.2.1-3) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.
  * Add the year 2019 to my debian/* copyright notice.
  * Use the test-name autopkgtest feature.
  * Add a simple git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Tue, 26 Feb 2019 15:57:46 +0200

ethstats (1.2.1-2) unstable; urgency=medium

  * Bring up to compliance with Debian Policy 4.3.0: install the upstream
    release notes (CHANGES) as NEWS and not changelog.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Add a trivial autopkgtest running feature-check on the executable.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.
  * Bump the debhelper compatibility version to 12 with no changes.

 -- Peter Pentchev <roam@debian.org>  Wed, 26 Dec 2018 00:21:08 +0200

ethstats (1.2.1-1) unstable; urgency=medium

  * Use my Debian e-mail address.
  * Declare compliance with Debian Policy 4.1.4 with no changes.
  * Drop an empty line at the end of the changelog file.
  * Add a trivial autopkgtest running adequate on the installed package.
  * Use the B-D: debhelper-compat (= 11) mechanism.
  * New upstream release, add the feature-check tool to the build and
    test dependencies.

 -- Peter Pentchev <roam@debian.org>  Thu, 17 May 2018 13:29:33 +0300

=== debian/control ===
Source: ethstats
Section: net
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
Build-Depends-Indep:
 feature-check,
 perl,
Standards-Version: 4.7.3
X-DH-Compat: 14
Homepage: https://devel.ringlet.net/net/ethstats/
Vcs-Git: https://gitlab.com/ethstats/ethstats.git -b debian/master
Vcs-Browser: https://gitlab.com/ethstats/ethstats/tree/debian/master
X-Style: black

Package: ethstats
Architecture: all
Multi-Arch: foreign
Description: script that quickly measures network device throughput
 ethstats works by parsing the /proc/net/dev file that the Linux kernel
 maintains, and thus utilizes a negligible amount of CPU time. ethstats
 shows the throughput of each device in both megabits per second and
 packets per second.

=== debian/rules ===
#!/usr/bin/make -f
# debhelper rules for ethstats, the network throughput measurement tool

include /usr/share/dpkg/default.mk

override_dh_auto_install:
	dh_auto_install --destdir '${CURDIR}/debian/ethstats' -- PREFIX=/usr INSTALL_SCRIPT='install -m 755'

override_dh_installchangelogs:
	dh_installchangelogs -X CHANGES
	install -m 644 CHANGES debian/ethstats/usr/share/doc/ethstats/NEWS

%:
	dh $@

=== debian/tests/control ===
Test-Command: env TEST_SCRIPT='/usr/bin/ethstats' make test
Depends:
 feature-check,
 make,
 @,
Restrictions:
 allow-stderr,
Features:
 test-name=upstream,

Test-Command: feature-check ethstats ethstats
Depends:
 feature-check,
 @,
Features:
 test-name=feature-check,
Restrictions:
 superficial,

Test-Command: debputy reformat --no-auto-fix --linter-exit-code
Depends:
 dh-debputy,
 python3-lsprotocol,
Features:
 test-name=debian-debputy,
Restrictions:
 superficial,

=== debian/watch ===
Version: 5

Source: https://devel.ringlet.net/net/ethstats/
Matching-Pattern: https://devel.ringlet.net/files/net/ethstats/ethstats-@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/$/.asc/
